Package org.gradle.api.plugins

# Class WarPluginConvention

java.lang.Object
org.gradle.api.plugins.WarPluginConvention

public class WarPluginConvention extends Object

A `Convention` used for the WarPlugin.

## Constructor Summary

Constructors
Constructor
Description
`WarPluginConvention(Project project)`

## Method Summary

Modifier and Type
Method
Description
`final Project`
`getProject()`
`File`
`getWebAppDir()`
Returns the web application directory.
`String`
`getWebAppDirName()`
The name of the web application directory, relative to the project directory.
`void`
`setWebAppDirName(String webAppDirName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WarPluginConvention

public WarPluginConvention(Project project)

## Method Details

### getWebAppDir

public File getWebAppDir()
Returns the web application directory.

### getWebAppDirName

public String getWebAppDirName()
The name of the web application directory, relative to the project directory.

### setWebAppDirName

public void setWebAppDirName(String webAppDirName)

### getProject

public final Project getProject()